{
    "name": "3d-website",
    "private": true,
    "version": "0.0.0",
    "type": "module",
    "scripts": {
        "dev": "vite --host",
        "build": "tsc && vite build",
        "preview": "vite preview",
        "lint": "npx eslint src",
        "lint:fix": "npm run lint -- --fix",
        "prettier": "npx prettier src --check",
        "prettier:fix": "npm run prettier -- --write",
        "format": "npm run prettier:fix && npm run lint:fix"
    },
    "dependencies": {
        "@emotion/react": "^11.11.1",
        "@emotion/styled": "^11.11.0",
        "@mui/icons-material": "^5.11.11",
        "@mui/material": "^5.14.18",
        "@react-three/drei": "^9.93.0",
        "@react-three/fiber": "^8.15.13",
        "@reduxjs/toolkit": "^2.0.1",
        "@supabase/supabase-js": "^2.39.1",
        "@tailwindcss/line-clamp": "^0.4.4",
        "@types/three": "^0.160.0",
        "@zip.js/zip.js": "^2.7.34",
        "dayjs": "^1.11.7",
        "formik": "^2.4.2",
        "react": "^18.2.0",
        "react-dom": "^18.2.0",
        "react-dropzone": "^14.2.3",
        "react-redux": "^9.0.4",
        "react-router-dom": "^6.4.3",
        "three": "^0.160.0",
        "yup": "^1.3.2"
    },
    "devDependencies": {
        "@types/classnames": "^2.3.1",
        "@types/lodash": "^4.14.188",
        "@types/react": "^18.0.24",
        "@types/react-dom": "^18.0.8",
        "@types/react-i18next": "^8.1.0",
        "@types/react-syntax-highlighter": "^15.5.5",
        "@types/styled-components": "^5.1.26",
        "@typescript-eslint/eslint-plugin": "^5.26.0",
        "@typescript-eslint/parser": "^5.26.0",
        "@vitejs/plugin-react": "^2.2.0",
        "autoprefixer": "^10.4.13",
        "axios": "^1.1.3",
        "classnames": "^2.3.2",
        "eslint": "^8.16.0",
        "eslint-config-prettier": "^8.5.0",
        "eslint-plugin-import": "^2.26.0",
        "eslint-plugin-jsx-a11y": "^6.5.1",
        "eslint-plugin-prettier": "^4.0.0",
        "eslint-plugin-react": "^7.30.0",
        "eslint-plugin-react-hooks": "^4.5.0",
        "i18next": "^22.0.5",
        "lodash": "^4.17.21",
        "postcss": "^8.4.19",
        "prettier": "^2.7.1",
        "react-country-flag": "^3.0.2",
        "react-i18next": "^12.0.0",
        "react-icons": "^4.10.1",
        "styled-components": "^5.3.9",
        "tailwindcss": "^3.2.4",
        "typescript": "^4.6.4",
        "vite": "^3.2.3",
        "vite-plugin-svgr": "^2.2.2",
        "vite-tsconfig-paths": "^3.5.1"
    }
}
